### Signal

# Ide BuildManager::build-started

#### Declaration

    void
    build_started (
      IdeBuildManager* self,
      IdePipeline* pipeline,
      gpointer user_data
    )

#### Description

The “build-started” signal is emitted when a new build has started. The build may be an incremental build. The `pipeline` instance is the build pipeline which is being executed.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.
Available since: | 3.32

#### Parameters

`pipeline` | `IdePipeline`
| An `IdePipeline`.
| The data is owned by the caller of the function.